/* 经销商授权信息管理 */

import request from '@/utils/request';


// 经销商授权信息列表
const dealerList = (params, page) => {

  return request({
    url: `dealer/list?pageSize=${page.pageSize}&pageNum=${page.pageNum}`,
    method: 'get',
    params,
  })
}

// 经销商授权信息新增接口
const dealerInsert = (data) => {
  return request({
    url: `dealer/insert`,
    method: 'post',
    data,
  })
}

// 经销商授权信息列表
const dealerDelete = (params) => {

  return request({
    url: `dealer/delete?id=${params.id}`,
    method: 'get',
    params,
  })
}

// 经销商授权信息新增接口
const dealerUpdate = (data) => {
  return request({
    url: `dealer/update`,
    method: 'post',
    data,
  })
}

export default {
  dealerList,
  dealerInsert,
  dealerDelete,
  dealerUpdate,
}