import request from '@/utils/request'

// 采购需求汇总列表
export function getSummaryList(data) {
  return request({
    url: `/pu/demand/summary/list?pageSize=${data.pageSize}&pageNum=${data.pageNum}`,
    method: 'post',
    data: data
  })
}
// 采购需求汇总明细
export function getSummaryDetail(data) {
  return request({
    url: `/pu/demand/summary/detail`,
    method: 'post',
    data: data
  })
}
// 采购需求汇总审核
export function auditSummary(id) {
  return request({
    url: `/pu/demand/audit/${id}`,
    method: 'get',
  })
}